package org.illeva.jordino.answer;

import java.io.*;
import javax.mail.*;
import javax.mail.internet.*;
import javax.activation.*;

abstract class AttachResp extends Response
{
  protected AttachResp(MimeMessage aMsg)
  {
    super(aMsg);
  } // end constructor
  abstract protected DataHandler buildAttachDataSource();
  abstract protected String buildAttachFileName();
  protected Multipart buildMessage()
  {
    Multipart vMultiPart=super.buildMessage();
    try
    {
	    MimeBodyPart vFileAttachPart= new MimeBodyPart();
      vFileAttachPart.setDataHandler(buildAttachDataSource());
      vFileAttachPart.setFileName(buildAttachFileName());
      vMultiPart.addBodyPart(vFileAttachPart);
    } // end try
    catch(MessagingException anEx)
    {
      dStatus=1;
      System.err.println(anEx);
    } // end catch
    return vMultiPart;
  } // end method
} // end class