package org.illeva.jordino.answer;

import javax.mail.internet.*;

/**
  * This class build an answer for unknow command messages.
  *
  * @version Jordino V1.0
  * @author IlLeva
  */
public class UnknowCommand extends Response
{
  /**
    * Construct an answer from a request.
    */
  public UnknowCommand(MimeMessage aMsg)
  {
    super(aMsg);
  } // end constructor
  /**
    * Build the rensponse's text.
    */
  protected void prepareTextBody()
  {
    dBuff.append("\nUnknow command '");
    dBuff.append(getCommand());
    dBuff.append("'.\n");
    dBuff.append("To receive a help on active functions,\n");
    dBuff.append("please send a message to Jordino with subject:\n");
    dBuff.append("[JD Help");
  } // end method
} // end class